﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Tests
{
    public partial class ListViewPage : ContentPage
    {
        public ObservableCollection<MyClass> MyList { get; set; }

        public ListViewPage()
        {
            MyList = new ObservableCollection<MyClass>(
              Enumerable.Range(1, 30)
                .Select(s => new MyClass()
                {
                    Id = s,
                    Name = s.ToString()
                })
            );

            InitializeComponent();
            BindingContext = this;
        }

        public async void Select(object sender, EventArgs e)
        {
            await DisplayAlert("Message", ((TappedEventArgs)e).Parameter.ToString(), "Ok");
        }
    }


    public class MyClass
    {
        public int Id { get; set; }

        public string Name { get; set; }

        public override string ToString()
        {
            return Id.ToString() + " / " + Name;
        }
    }

}
